POST api/batchapi/add/enddryingstep

Request Information

URI Parameters

None.

Body Parameters

BatchMedistreamViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

batch_id

globally unique identifier

Required

medistream_id

globally unique identifier

Required

witness_id

globally unique identifier

Required

compartment

integer

Required

temp_max

decimal number

None.

start_time

date

None.

stop_time

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "0992a511-bd13-4d6a-ba1a-01f1db6c1bf2",
  "batch_id": "f7a1378c-58bc-4fc8-a4a7-cf01709ab697",
  "medistream_id": "9c233830-2403-4982-b130-f7694804ced7",
  "witness_id": "cfc2c374-37f2-4b1a-83d2-638debbd97ea",
  "compartment": 1,
  "temp_max": 1.1,
  "start_time": "2026-09-24T02:29:50.7718376+00:00",
  "stop_time": "2026-09-24T02:29:50.7718376+00:00"
}

application/xml, text/xml

Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>f7a1378c-58bc-4fc8-a4a7-cf01709ab697</batch_id>
  <compartment>1</compartment>
  <id>0992a511-bd13-4d6a-ba1a-01f1db6c1bf2</id>
  <medistream_id>9c233830-2403-4982-b130-f7694804ced7</medistream_id>
  <start_time>2026-09-24T02:29:50.7718376+00:00</start_time>
  <stop_time>2026-09-24T02:29:50.7718376+00:00</stop_time>
  <temp_max>1.1</temp_max>
  <witness_id>cfc2c374-37f2-4b1a-83d2-638debbd97ea</witness_id>
</batch_medistream>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'BatchMedistreamViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"c98840eb-24a2-4cef-96a0-b229c664cccb"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c98840eb-24a2-4cef-96a0-b229c664cccb</guid>